using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace TravelExpenses.Models
{
    public class Place
    {
        [Key][DatabaseGenerated(DatabaseGeneratedOption.Identity)] public int PlaceId { get; set; }
        [Required][StringLength(50)] public string PlaceName { get; set; }
        [Required][StringLength(10)] public string AreaCode { get; set; }
        [UIHint("CountryEditor")]
        [Required] public int CountryId { get; set; } public Country Country { get; set; }
    }
}
